/*
 * YDFOne2One.java
 *
 * Created on 17. April 2000, 22:18
 */
 
package YARB.Filter;
import YARB.Interfaces.*;
import javax.swing.*;


/** 
 *
 * @author  Thomas
 * @version 
 */
public class YDFOne2One 
extends Object 
implements IDataFilter
{

  /** Creates new YDFOne2One */
  public YDFOne2One() 
  {
  }

  protected IDataProvider m_PrevProv;
  
  public void setPreviousProvider(IDataProvider DP) 
  {
    m_PrevProv=DP;
  }
  
  public int numbOfPatterns() 
  {
    return m_PrevProv.numbOfPatterns();
  }
  
  public int numbOfInputUnits() 
  {
    return m_PrevProv.numbOfInputUnits();
  }
  
  public int numbOfOutputUnits() 
  {
    return m_PrevProv.numbOfOutputUnits();
  }
  
  
  public float getInputData(int nPattern,int nUnit) 
  {
    return m_PrevProv.getInputData(nPattern,nUnit);
  }
  
  public float getOutputData(int nPattern,int nUnit) 
  {
    return m_PrevProv.getOutputData(nPattern, nUnit);
  }
  
  public boolean ProcessData() 
  {
    return m_PrevProv.ProcessData();
  }
  
  public boolean FreeData() 
  {
    return m_PrevProv.FreeData();
  }
  
  public boolean SaveConfiguration() 
  {
    return true;
  }
  
  public boolean LoadConfiguration() 
  {
    return true;
  }
  
  public boolean IsConfigurable() 
  {
    return true;
  }
  
  public boolean ShowConfigurationDialog(JFrame ParentFrame) 
  {
    String str=JOptionPane.showInputDialog( ParentFrame,
                                            "Please choose a name:", "YARB Filter properties",
                                             JOptionPane.QUESTION_MESSAGE);
    if(str!=null){
      setName(str);
    };
    return true;
  }
  
  /**
  * Contains the assigned name string.
  */
  private String  m_strName;
  
  /**
  * Assigns a name to the current object.
  */
  public void setName(String strName){
    m_strName=strName;
  }
    
  /**
  * Returns the assigned name of the object
  */
  public String  getName(){
    return m_strName;
  }
  
}