/*
 * TestGui1.java
 *
 * Created on 18. April 2000, 22:16
 */
 
package YARB.Test;
import YARB.Main.*;
import YARB.FileSources.*;
import YARB.Interfaces.*;
import YARB.Viewer.*;
import YARB.Filter.*;

/** 
 *
 * @author  Thomas
 * @version 
 */
public class TestGui1 extends Object {

  /** Creates new TestGui1 */
  public TestGui1() {
  }
  
  /**
  * @param args the command line arguments
  */
  public static void main (String args[]) 
  {
    
    CreateVisualizationManagerTestData();
    
    YMainFrame mf=new YMainFrame("YARB GuiTest 1");
    YVNavigator nav= new YVNavigator ("YARB Navigator...");
    
    mf.show();
    
    mf.AddFrame(nav);
    
  }

  private static void CreateVisualizationManagerTestData()
  {
    YVisualizationManager VMan = YVisualizationManager.exemplar();
    IVisualContainer cv;
    
    for(int i=0; i<10; i++)
    {
      cv=VMan.createContainer(null);
      
      IFileSource fs = VMan.createFileSource(null);    
      IDataViewer dv = VMan.createDataViewer(null);    
      
      cv.setFileSource(fs);
      cv.setDataView(dv);
      
      IDataFilter df;
      
      for(int k=0; k<3;k++)
      {
          df = VMan.createDataFilter(null);    
          cv.addDataFilter(df);
        };
      };

  }
}